Edushade Docs
Comments

List User Comments

GET
/user/comments
AuthorizationBearer <token>

In: header

Query Parameters

entity_type?string

Filter by entity type (values: course, quiz, event, learning_path, cohort)

Defaultnull
Value in"course" | "quiz" | "event" | "learning_path" | "cohort"
entity_id?string

Filter by specific program ID (UUID)

Defaultnull
parent_id?string

Filter by parent comment ID (for replies)

Defaultnull
search?string

Search in comment content

Defaultnull
limit?number

Number of comments per page

Default20
Range1 <= value <= 100
cursor?string

Cursor for pagination

Defaultnull

Response Body

curl -X GET "https://edushade.com/api/v1/user/comments?entity_type=course&limit=20"
{}
Empty
Empty
Empty